itpp::Base_Event Class Referenceabstract

Base Event Class. More...

`#include <itpp/protocol/events.h>`

Inheritance diagram for itpp::Base_Event:

## Public Member Functions

| Base_Event (const Ttype delta_time)
| Schedule an event at time `delta_time` from now.
virtual | ~Base_Event ()
| Destructor.
void | cancel ()
| Cancel an event.

## Protected Member Functions

virtual void | exec (void)=0
| ADD DOCUMENTATION HERE.

## Protected Attributes

Ttype | delta_t
| ADD DOCUMENTATION HERE.
Ttype | expire_t
| ADD DOCUMENTATION HERE.
bool | active
| ADD DOCUMENTATION HERE.
unsigned long long int | id
| ADD DOCUMENTATION HERE.

## Static Protected Attributes

static unsigned long long int | global_id = 0
| ADD DOCUMENTATION HERE.

## Friends

class | Base_Signal
class | Event_Queue
struct | Compare_Base_Event_Times

## Detailed Description

Base Event Class.

An abstract Base class of Events that can be used to derive new events. All Event classes need to define the exec() function which is called when the event expires. An event has an execution time and an id.

Definition at line 68 of file events.h.

The documentation for this class was generated from the following files:

- itpp/protocol/events.h
- itpp/protocol/events.cpp

Generated on Tue Aug 17 2021 10:59:15 for IT++ by Doxygen 1.9.1